Package org.apache.sling.starter.testservices.serversidetests

# Class ResourceResolverWithVanityBloomFilterTest

java.lang.Object
org.apache.sling.starter.testservices.serversidetests.ResourceResolverWithVanityBloomFilterTest

public class ResourceResolverWithVanityBloomFilterTest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAPPING_EVENT_TOPIC`
`static final String`
`PROP_REDIRECT_EXTERNAL`
`static final String`
`PROP_REDIRECT_INTERNAL`

## Constructor Summary

Constructors
Constructor
Description
`ResourceResolverWithVanityBloomFilterTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteTestNodes()`
`void`
`setup()`
`void`
`test_attributes_from_authInfo()`
`void`
`test_clone_based_on_admin()`
`void`
`test_clone_based_on_anonymous()`
`void`
`test_resolve()`
`void`
`test_resolve_extension()`
`void`
`test_resolve_extension_suffix()`
`void`
`test_resolve_selectors_extension()`
`void`
`test_resolve_with_sling_alias()`
`void`
`test_resolve_with_sling_alias_extension()`
`void`
`test_resolve_with_sling_alias_extension_suffix()`
`void`
`test_resolve_with_sling_alias_multi_value()`
`void`
`test_resolve_with_sling_alias_selectors_extension()`
`void`
`testGetDoesNotGoUp()`
`void`
`testGetRemovesExtensionInResolution()`
`void`
`testGetResource()`
`void`
`testMap()`
`void`
`testMapContext()`
`void`
`testMapEmptyPath()`
`void`
`testMapExtension()`
`void`
`testMapExtensionFragmentQuery()`
`void`
`testMapExtensionSuffix()`
`void`
`testMapFragment()`
`void`
`testMapFragmentQuery()`
`void`
`testMapNamespaceMangling()`
`void`
`testMapQuery()`
`void`
`testMapResourceAlias()`
`void`
`testMapResourceAliasJcrContent()`
`void`
`testMapSelectorsExtension()`
`void`
`testMapURLEscaping()`
`void`
`testResolveRemovedesourceAliasJcrContent()`
`void`
`testResolveRemovedMixinVanityPath()`
`void`
`testResolveRemovedResourceAlias()`
`void`
`testResolveResource()`
`void`
`testResolveResourceAlias()`
`void`
`testResolveResourceAliasJcrContent()`
`void`
`testResolveResourceAliasJcrContentWithUpdate()`
`void`
`testResolveResourceAliasWithUpdate()`
`void`
`testResolveResourceExternalRedirect()`
`void`
`testResolveResourceInternalRedirectDepthFirst()`
`void`
`testResolveResourceInternalRedirectExact()`
`void`
`testResolveResourceInternalRedirectPath()`
`void`
`testResolveResourceInternalRedirectPathAndVanityPath()`
`void`
`testResolveResourceInternalRedirectPathUpdate()`
`void`
`testResolveResourceInternalRedirectUrl()`
`void`
`testResolveVanityPath()`
`void`
`testResolveVanityPathWithUpdate()`
`void`
`testResolveVanityPathWithVanityOrder()`
`void`
`testResolveVirtualHostHttp80()`
`void`
`testResolveVirtualHostHttp8080()`
`void`
`testResolveVirtualHostHttp8080Root()`
`void`
`testResolveVirtualHostHttp80Multiple()`
`void`
`testResolveVirtualHostHttp80MultipleRoot()`
`void`
`testResolveVirtualHostHttps443()`
`void`
`testResolveVirtualHostHttps4443()`
`void`
`testResolveVirtualHostHttpVsHttps()`
`void`
`testSlingFolder()`
`void`
`testStarResourceExtension()`
`void`
`testStarResourcePlain()`
`void`
`testStarResourceSelectorExtension()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_REDIRECT_INTERNAL

public static final String PROP_REDIRECT_INTERNAL

See Also:
  - Constant Field Values

### PROP_REDIRECT_EXTERNAL

public static final String PROP_REDIRECT_EXTERNAL

See Also:
  - Constant Field Values

### MAPPING_EVENT_TOPIC

public static final String MAPPING_EVENT_TOPIC

See Also:
  - Constant Field Values

## Constructor Details

### ResourceResolverWithVanityBloomFilterTest

public ResourceResolverWithVanityBloomFilterTest()

## Method Details

### setup

public void setup() throws Exception

Throws:
  `Exception`

### deleteTestNodes

public void deleteTestNodes() throws Exception

Throws:
  `Exception`

### test_clone_based_on_anonymous

public void test_clone_based_on_anonymous() throws Exception

Throws:
  `Exception`

### test_clone_based_on_admin

public void test_clone_based_on_admin() throws Exception

Throws:
  `Exception`

### test_attributes_from_authInfo

public void test_attributes_from_authInfo() throws Exception

Throws:
  `Exception`

### testGetResource

public void testGetResource() throws Exception

Throws:
  `Exception`

### testResolveResource

public void testResolveResource() throws Exception

Throws:
  `Exception`

### testResolveResourceExternalRedirect

public void testResolveResourceExternalRedirect() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectUrl

public void testResolveResourceInternalRedirectUrl() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectPath

public void testResolveResourceInternalRedirectPath() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectPathAndVanityPath

public void testResolveResourceInternalRedirectPathAndVanityPath() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectPathUpdate

public void testResolveResourceInternalRedirectPathUpdate() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectExact

public void testResolveResourceInternalRedirectExact() throws Exception

Throws:
  `Exception`

### testResolveResourceInternalRedirectDepthFirst

public void testResolveResourceInternalRedirectDepthFirst() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttp80

public void testResolveVirtualHostHttp80() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttp80Multiple

public void testResolveVirtualHostHttp80Multiple() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttp80MultipleRoot

public void testResolveVirtualHostHttp80MultipleRoot() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttp8080

public void testResolveVirtualHostHttp8080() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttp8080Root

public void testResolveVirtualHostHttp8080Root() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttps443

public void testResolveVirtualHostHttps443() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttps4443

public void testResolveVirtualHostHttps4443() throws Exception

Throws:
  `Exception`

### testResolveVirtualHostHttpVsHttps

public void testResolveVirtualHostHttpVsHttps() throws Exception

Throws:
  `Exception`

### testResolveResourceAlias

public void testResolveResourceAlias() throws Exception

Throws:
  `Exception`

### testResolveResourceAliasWithUpdate

public void testResolveResourceAliasWithUpdate() throws Exception

Throws:
  `Exception`

### testResolveRemovedResourceAlias

public void testResolveRemovedResourceAlias() throws Exception

Throws:
  `Exception`

### testResolveResourceAliasJcrContent

public void testResolveResourceAliasJcrContent() throws Exception

Throws:
  `Exception`

### testResolveResourceAliasJcrContentWithUpdate

public void testResolveResourceAliasJcrContentWithUpdate() throws Exception

Throws:
  `Exception`

### testResolveRemovedesourceAliasJcrContent

public void testResolveRemovedesourceAliasJcrContent() throws Exception

Throws:
  `Exception`

### testResolveVanityPath

public void testResolveVanityPath() throws Exception

Throws:
  `Exception`

### testResolveVanityPathWithUpdate

public void testResolveVanityPathWithUpdate() throws Exception

Throws:
  `Exception`

### testResolveRemovedMixinVanityPath

public void testResolveRemovedMixinVanityPath() throws Exception

Throws:
  `Exception`

### testResolveVanityPathWithVanityOrder

public void testResolveVanityPathWithVanityOrder() throws Exception

Throws:
  `Exception`

### testGetDoesNotGoUp

public void testGetDoesNotGoUp() throws Exception

Throws:
  `Exception`

### testGetRemovesExtensionInResolution

public void testGetRemovesExtensionInResolution() throws Exception

Throws:
  `Exception`

### testStarResourcePlain

public void testStarResourcePlain() throws Exception

Throws:
  `Exception`

### testStarResourceExtension

public void testStarResourceExtension() throws Exception

Throws:
  `Exception`

### testStarResourceSelectorExtension

public void testStarResourceSelectorExtension() throws Exception

Throws:
  `Exception`

### testSlingFolder

public void testSlingFolder() throws Exception

Throws:
  `Exception`

### testMap

public void testMap() throws Exception

Throws:
  `Exception`

### testMapURLEscaping

public void testMapURLEscaping() throws Exception

Throws:
  `Exception`

### testMapNamespaceMangling

public void testMapNamespaceMangling() throws Exception

Throws:
  `Exception`

### testMapContext

public void testMapContext() throws Exception

Throws:
  `Exception`

### testMapExtension

public void testMapExtension() throws Exception

Throws:
  `Exception`

### testMapSelectorsExtension

public void testMapSelectorsExtension() throws Exception

Throws:
  `Exception`

### testMapExtensionSuffix

public void testMapExtensionSuffix() throws Exception

Throws:
  `Exception`

### testMapFragment

public void testMapFragment() throws Exception

Throws:
  `Exception`

### testMapQuery

public void testMapQuery() throws Exception

Throws:
  `Exception`

### testMapFragmentQuery

public void testMapFragmentQuery() throws Exception

Throws:
  `Exception`

### testMapEmptyPath

public void testMapEmptyPath() throws Exception

Throws:
  `Exception`

### testMapExtensionFragmentQuery

public void testMapExtensionFragmentQuery() throws Exception

Throws:
  `Exception`

### testMapResourceAlias

public void testMapResourceAlias() throws Exception

Throws:
  `Exception`

### testMapResourceAliasJcrContent

public void testMapResourceAliasJcrContent() throws Exception

Throws:
  `Exception`

### test_resolve

public void test_resolve() throws Exception

Throws:
  `Exception`

### test_resolve_extension

public void test_resolve_extension() throws Exception

Throws:
  `Exception`

### test_resolve_selectors_extension

public void test_resolve_selectors_extension() throws Exception

Throws:
  `Exception`

### test_resolve_extension_suffix

public void test_resolve_extension_suffix() throws Exception

Throws:
  `Exception`

### test_resolve_with_sling_alias

public void test_resolve_with_sling_alias() throws Exception

Throws:
  `Exception`

### test_resolve_with_sling_alias_multi_value

public void test_resolve_with_sling_alias_multi_value() throws Exception

Throws:
  `Exception`

### test_resolve_with_sling_alias_extension

public void test_resolve_with_sling_alias_extension() throws Exception

Throws:
  `Exception`

### test_resolve_with_sling_alias_selectors_extension

public void test_resolve_with_sling_alias_selectors_extension() throws Exception

Throws:
  `Exception`

### test_resolve_with_sling_alias_extension_suffix

public void test_resolve_with_sling_alias_extension_suffix() throws Exception

Throws:
  `Exception`